#
# spec file for package rubygem-gssapi
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-gssapi
Version:        1.3.1
Release:        1.18
%define mod_name gssapi
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            http://github.com/zenchild/gssapi
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A FFI wrapper around the system GSSAPI library
License:        MIT
Group:          Development/Languages/Ruby

%description
A FFI wrapper around the system GSSAPI library. Please make sure and read
the
Yard docs or standard GSSAPI documentation if you have any questions.
There is also a class called GSSAPI::Simple that wraps many of the common
features
used for GSSAPI.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING Changelog.md README.md" \
  -f

%gem_packages

%changelog
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.3.1
  see installed Changelog.md
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.0
  see installed Changelog.md
  [#]# Version 1.3.0
  Sorry everyone that this has taken so long to go out. I don't really work much
  with GSSAPI so it hasn't been a priority for me.
  * Implemented delegation and added verify_mic. Thanks @mfazekas
  * Add loading of MIT GSS libs for solaris/smartos. Thanks @fac
  * Fix corruption in iov_decrypt example. Thanks @Iristyle
* Tue Jun  6 2017 k0da@opensuse.org
- Specify gem2rpm.yml as source so check wouldn't complain
* Tue Feb 28 2017 k0da@opensuse.org
- initial version
